summaryrefslogtreecommitdiff
path: root/dev-python/python-multipart/python-multipart-0.0.17.ebuild
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2024-10-31 15:59:02 +0100
committerMichał Górny <mgorny@gentoo.org>2024-10-31 16:49:56 +0100
commitec2309a6d3c034004ee52c3927c1aa5258dae52a (patch)
treee18e54ea9c354772e32be4d2e0a4bfb5234d94d0 /dev-python/python-multipart/python-multipart-0.0.17.ebuild
parent3feaae9e0ee18137a3ec4a314ed20629dc9d09fa (diff)
downloadgentoo-ec2309a6d3c034004ee52c3927c1aa5258dae52a.tar.gz
gentoo-ec2309a6d3c034004ee52c3927c1aa5258dae52a.tar.bz2
gentoo-ec2309a6d3c034004ee52c3927c1aa5258dae52a.zip
dev-python/python-multipart: Bump to 0.0.17
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/python-multipart/python-multipart-0.0.17.ebuild')
-rw-r--r--dev-python/python-multipart/python-multipart-0.0.17.ebuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/python-multipart/python-multipart-0.0.17.ebuild b/dev-python/python-multipart/python-multipart-0.0.17.ebuild
new file mode 100644
index 0000000000000..200957eb33c48
--- /dev/null
+++ b/dev-python/python-multipart/python-multipart-0.0.17.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A streaming multipart parser for Python"
+HOMEPAGE="
+ https://github.com/Kludex/python-multipart/
+ https://pypi.org/project/python-multipart/
+"
+SRC_URI="
+ https://github.com/Kludex/python-multipart/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # do not install the backwards compatibility package
+ # we're patching revdeps instead
+ rm -r multipart || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}